PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_zgetmi | ( | int | m,
|  | int | n,
|  | PLASMA_Complex64_t * | A,
|  | PLASMA_enum | f_in,
|  | int | imb,
|  | int | inb
| ) |  |

PLASMA_zgetmi Implementation of inplace transposition based on the GKK algorithm by Gustavson, Karlsson, Kagstrom. This algorithm shift some cycles to transpose the matrix.

Parameters

  [in] | m | Number of rows of matrix A
  [in] | n | Number of columns of matrix A
  [in,out] | A | Matrix of size L*m*n.
  [in] | f_in | Original layout of the matrix A. Must be part of: PlasmaCM: if A is stored in Column Major, PlasmaRM: if A is stored in Row Major, PlasmaCCRB: if A is stored in Column Column Rectangular Block layout, PlasmaCRRB: if A is stored in Column Row Rectangular Block layout, PlasmaRCRB: if A is stored in Row Column Rectangular Block layout, PlasmaRRRB: if A is stored in Row Row Rectangular Block layout; where the first Column/Row stand for the order in which tiles are sorted, and the secon Column/Row stand for the layout inside each tile.
  [in] | imb | Number of rows of the problem
  [in] | inb | Number of columns in the problem

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if -i, the i-th argument had an illegal value

See also
  PLASMA_zgetmi_Async